/*
 * Proyecto: MemDataSet
 * Fichero: MemDataSetForm.prg
 * Descripcin:
 * Autor:
 * Fecha: 08/05/2017
 */

#include "Xailer.ch"

CLASS TFrmMemDataSet FROM TForm

   COMPONENT oMemDataSet1
   COMPONENT oDBBrowse1
   COMPONENT oBevel1
   COMPONENT oButton1
   COMPONENT oFastReport1
   COMPONENT oFrXailerDataset1

   METHOD CreateForm()
   METHOD FormInitialize( oSender )
   METHOD Button1Click( oSender )

ENDCLASS

#include "MemDataSetForm.xfm"

//------------------------------------------------------------------------------

METHOD FormInitialize( oSender ) CLASS TFrmMemDataSet

   LOCAL aDir, cStruct

   aDir    := Directory( "*.*" )
   cStruct := { "Name", "Length", "Date", "Time", "Type" }
   ::oMemDataSet1:Open( aDir, cStruct )

RETURN Nil

//------------------------------------------------------------------------------

METHOD Button1Click( oSender ) CLASS TFrmMemDataSet
   ::oFastReport1:ShowReport()
RETURN Nil

//------------------------------------------------------------------------------

INIT PROCEDURE CheckDLL()

   IF !File( "frx.dll" ) .OR. FileDateTimeLocal( "frx.dll" ) < FileDateTimeLocal( "..\..\bin\frx.dll")
      CopyFile( "..\..\bin\frx.dll", "frx.dll" )
   ENDIF

RETURN